/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
	for (var w=0;w<6; w++){
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn"+w).$("imgHolder").attr("src", "images/btn" + w + ".png");
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn"+w).$("imgHolderOver").attr("src", "images/btn" + w + ".png");
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn"+w).$("imgHolder").stop().animate ({opacity:0.5});
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn"+w).$("imgHolderOver").stop().animate ({opacity:0});
	}
	
	var stgMove = 0;
	var gpNo = 10;
	var btnPos = 0;
	
	var xmlNo = "GN31935.xml";
	
	var headline;
	var headlinetxt = sym.$("headlineTxt").css("pointer-events","none");
	var source;
	var sourcetxt = sym.getSymbol("styleBase").$("sourceTxt").css("pointer-events","none");
	
	var txt=[];
	txt[0] = sym.getSymbol("panelsMc").getSymbol("panel0").$("txt0").css({"pointer-events":"none",});
	txt[1] = sym.getSymbol("panelsMc").getSymbol("panel1").$("txt1").css({"pointer-events":"none"});
	txt[2] = sym.getSymbol("panelsMc").getSymbol("panel1").$("txt2").css({"pointer-events":"none"});
	txt[3] = sym.getSymbol("panelsMc").getSymbol("panel2").$("txt3").css({"pointer-events":"none"});
	txt[4] = sym.getSymbol("panelsMc").getSymbol("panel2").$("txt4").css({"pointer-events":"none"});
	txt[5] = sym.getSymbol("panelsMc").getSymbol("panel2").$("txt5").css({"pointer-events":"none"});
	txt[6] = sym.getSymbol("panelsMc").getSymbol("panel3").$("txt6").css({"pointer-events":"none"});
	txt[7] = sym.getSymbol("panelsMc").getSymbol("panel3").$("txt7").css({"pointer-events":"none"});
	txt[8] = sym.getSymbol("panelsMc").getSymbol("panel4").$("txt8").css({"pointer-events":"none"});
	txt[9] = sym.getSymbol("panelsMc").getSymbol("panel4").$("txt9").css({"pointer-events":"none"});
	txt[10] = sym.getSymbol("panelsMc").getSymbol("panel5").$("txt10").css({"pointer-events":"none"});
	txt[11] = sym.getSymbol("panelsMc").getSymbol("panel5").$("txt11").css({"pointer-events":"none"});
	txt[12] = sym.getSymbol("panelsMc").getSymbol("panel6").$("txt12").css({"pointer-events":"none"});
	txt[13] = sym.getSymbol("panelsMc").getSymbol("panel6").$("txt13").css({"pointer-events":"none"});
	txt[14] = sym.getSymbol("panelsMc").getSymbol("panel7").$("txt14").css({"pointer-events":"none"});
	txt[15] = sym.getSymbol("panelsMc").getSymbol("panel7").$("txt15").css({"pointer-events":"none"});
	txt[16] = sym.getSymbol("panelsMc").getSymbol("panel8").$("txt16").css({"pointer-events":"none"});
	txt[17] = sym.getSymbol("panelsMc").getSymbol("panel8").$("txt17").css({"pointer-events":"none"});
	txt[18] = sym.getSymbol("panelsMc").getSymbol("panel9").$("txt18").css({"pointer-events":"none"});
	txt[19] = sym.getSymbol("panelsMc").getSymbol("panel9").$("txt19").css({"pointer-events":"none"});
	txt[20] = sym.getSymbol("panelsMc").getSymbol("panel10").$("txt20").css({"pointer-events":"none"});
	txt[21] = sym.getSymbol("panelsMc").getSymbol("panel10").$("txt21").css({"pointer-events":"none"});
	txt[22] = sym.getSymbol("panelsMc").getSymbol("panel11").$("txt22").css({"pointer-events":"none"});
	txt[23] = sym.getSymbol("panelsMc").getSymbol("panel11").$("txt23").css({"pointer-events":"none"});
	txt[24] = sym.getSymbol("panelsMc").getSymbol("panel12").$("txt24").css({"pointer-events":"none"});
	txt[25] = sym.getSymbol("panelsMc").getSymbol("panel13").$("txt25").css({"pointer-events":"none"});
	txt[26] = sym.getSymbol("panelsMc").getSymbol("panel13").$("txt26").css({"pointer-events":"none"});
	txt[27] = sym.getSymbol("panelsMc").getSymbol("panel14").$("txt27").css({"pointer-events":"none"});
	txt[28] = sym.getSymbol("panelsMc").getSymbol("panel15").$("txt28").css({"pointer-events":"none"});
	txt[29] = sym.getSymbol("panelsMc").getSymbol("panel15").$("txt29").css({"pointer-events":"none"});
	txt[30] = sym.getSymbol("panelsMc").getSymbol("panel15").$("txt30").css({"pointer-events":"none"});
	txt[31] = sym.getSymbol("panelsMc").getSymbol("panel16").$("txt31").css({"pointer-events":"none"});
	txt[32] = sym.getSymbol("panelsMc").getSymbol("panel16").$("txt32").css({"pointer-events":"none"});
	txt[33] = sym.getSymbol("panelsMc").getSymbol("panel17").$("txt33").css({"pointer-events":"none"});
	txt[34] = sym.getSymbol("panelsMc").getSymbol("panel17").$("txt34").css({"pointer-events":"none"});
	txt[35] = sym.getSymbol("panelsMc").getSymbol("panel18").$("txt35").css({"pointer-events":"none"});
	txt[36] = sym.getSymbol("panelsMc").getSymbol("panel18").$("txt36").css({"pointer-events":"none"});
	txt[37] = sym.$("txt37").css({"pointer-events":"none"});
	txt[38] = sym.$("txt38").css({"pointer-events":"none"});
	txt[39] = sym.$("txt39").css({"pointer-events":"none"});
	txt[40] = sym.$("txt40").css({"pointer-events":"none"});
	txt[41] = sym.$("txt41").css({"pointer-events":"none"});
	txt[42] = sym.$("txt42").css({"pointer-events":"none"});
	txt[43] = sym.$("txt43").css({"pointer-events":"none"});
	txt[44] = sym.$("txt44").css({"pointer-events":"none"});
	txt[45] = sym.$("txt45").css({"pointer-events":"none"});
	txt[46] = sym.$("txt46").css({"pointer-events":"none"});
	txt[47] = sym.$("txt47").css({"pointer-events":"none"});
	txt[48] = sym.$("txt48").css({"pointer-events":"none"});
	txt[49] = sym.$("txt49").css({"pointer-events":"none"});
	txt[50] = sym.$("txt50").css({"pointer-events":"none"});
	txt[51] = sym.$("txt51").css({"pointer-events":"none"});
	txt[52] = sym.$("txt52").css({"pointer-events":"none"});
	txt[53] = sym.$("txt53").css({"pointer-events":"none"});
	txt[54] = sym.$("txt54").css({"pointer-events":"none"});
	txt[55] = sym.$("txt55").css({"pointer-events":"none"});
	txt[56] = sym.$("txt56").css({"pointer-events":"none"});
	txt[57] = sym.$("txt57").css({"pointer-events":"none"});
	txt[58] = sym.$("txt58").css({"pointer-events":"none"});
	txt[59] = sym.$("txt59").css({"pointer-events":"none"});
	txt[60] = sym.$("txt60").css({"pointer-events":"none"});
	txt[61] = sym.$("txt61").css({"pointer-events":"none"});
	txt[62] = sym.$("txt62").css({"pointer-events":"none"});
	txt[63] = sym.$("txt63").css({"pointer-events":"none"});
	txt[64] = sym.$("txt64").css({"pointer-events":"none"});
	txt[65] = sym.$("txt65").css({"pointer-events":"none"});
	txt[66] = sym.$("txt66").css({"pointer-events":"none"});
	txt[67] = sym.$("txt67").css({"pointer-events":"none"});
	txt[68] = sym.$("txt68").css({"pointer-events":"none"});
	txt[69] = sym.$("txt69").css({"pointer-events":"none"});
	txt[70] = sym.$("txt70").css({"pointer-events":"none"});
	txt[71] = sym.$("txt71").css({"pointer-events":"none"});
	txt[72] = sym.$("txt72").css({"pointer-events":"none"});
	txt[73] = sym.$("txt73").css({"pointer-events":"none"});
	txt[74] = sym.$("txt74").css({"pointer-events":"none"});
	txt[75] = sym.$("txt75").css({"pointer-events":"none"});
	txt[76] = sym.$("txt76").css({"pointer-events":"none"});
	txt[77] = sym.$("txt77").css({"pointer-events":"none"});
	txt[78] = sym.$("txt78").css({"pointer-events":"none"});
	txt[79] = sym.$("txt79").css({"pointer-events":"none"});
	txt[80] = sym.$("txt80").css({"pointer-events":"none"});
	txt[81] = sym.$("txt81").css({"pointer-events":"none"});
	txt[82] = sym.$("txt82").css({"pointer-events":"none"});
	txt[83] = sym.$("txt83").css({"pointer-events":"none"});
	txt[84] = sym.getSymbol("worldMapMc").$("txt84").css({"pointer-events":"none" , "background-color":"rgba(255,255,255,0.4)"});
	txt[85] = sym.getSymbol("worldMapMc").$("txt85").css({"pointer-events":"none"});
	txt[86] = sym.getSymbol("worldMapMc").$("txt86").css({"pointer-events":"none"});
	txt[87] = sym.getSymbol("worldMapMc").$("txt87").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[88] = sym.getSymbol("worldMapMc").$("txt88").css({"pointer-events":"none"});
	txt[89] = sym.getSymbol("worldMapMc").$("txt89").css({"pointer-events":"none"});
	txt[90] = sym.getSymbol("worldMapMc").$("txt90").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[91] = sym.getSymbol("worldMapMc").$("txt91").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[92] = sym.getSymbol("worldMapMc").$("txt92").css({"pointer-events":"none",});
	txt[93] = sym.getSymbol("worldMapMc").$("txt93").css({"pointer-events":"none",});
	txt[94] = sym.getSymbol("worldMapMc").$("txt94").css({"pointer-events":"none",});
	txt[95] = sym.getSymbol("worldMapMc").$("txt95").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[96] = sym.getSymbol("worldMapMc").$("txt96").css({"pointer-events":"none",});
	txt[97] = sym.getSymbol("worldMapMc").$("txt97").css({"pointer-events":"none",});
	txt[98] = sym.getSymbol("worldMapMc").$("txt98").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[99] = sym.getSymbol("worldMapMc").$("txt99").css({"pointer-events":"none",});
	txt[100] = sym.getSymbol("worldMapMc").$("txt100").css({"pointer-events":"none",});
	txt[101] = sym.getSymbol("worldMapMc").$("txt101").css({"pointer-events":"none"});
	txt[102] = sym.getSymbol("worldMapMc").$("txt102").css({"pointer-events":"none"});
	txt[103] = sym.getSymbol("worldMapMc").$("txt103").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[104] = sym.getSymbol("worldMapMc").$("txt104").css({"pointer-events":"none"});
	txt[105] = sym.getSymbol("worldMapMc").$("txt105").css({"pointer-events":"none"});
	txt[106] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt106").css({"pointer-events":"none"});
	txt[107] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt107").css({"pointer-events":"none"});
	txt[108] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt108").css({"pointer-events":"none"});
	txt[109] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt109").css({"pointer-events":"none"});
	txt[110] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt110").css({"pointer-events":"none"});
	txt[111] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt111").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[112] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt112").css({"pointer-events":"none"});
	txt[113] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt113").css({"pointer-events":"none"});
	txt[114] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt114").css({"pointer-events":"none"});
	txt[115] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt115").css({"pointer-events":"none"});
	txt[116] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt116").css({"pointer-events":"none"});
	txt[117] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt117").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[118] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt118").css({"pointer-events":"none"});
	txt[119] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt119").css({"pointer-events":"none"});
	txt[120] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt120").css({"pointer-events":"none"});
	txt[121] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt121").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[122] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt122").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[123] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt123").css({"pointer-events":"none"});
	txt[124] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt124").css({"pointer-events":"none"});
	txt[125] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt125").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[126] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt126").css({"pointer-events":"none"});
	txt[127] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt127").css({"pointer-events":"none"});
	txt[128] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt128").css({"pointer-events":"none" , "background-color":"rgba(0,0,0,1)"});
	txt[129] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt129").css({"pointer-events":"none"});
	txt[130] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt130").css({"pointer-events":"none"});
	txt[131] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt131").css({"pointer-events":"none"});
	txt[132] = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom").$("txt132").css({"pointer-events":"none"});
	txt[133] = sym.$("txt133").css({"pointer-events":"none"});
	txt[134] = sym.$("txt134").css({"pointer-events":"none"});
	txt[135] = sym.$("txt135").css({"pointer-events":"none"});
	txt[136] = sym.$("txt136").css({"pointer-events":"none"});
	txt[137] = sym.$("txt137").css({"pointer-events":"none"});
	txt[138] = sym.$("txt138").css({"pointer-events":"none"});
	txt[139] = sym.$("txt139").css({"pointer-events":"none"});
	txt[140] = sym.$("txt140").css({"pointer-events":"none"});
	txt[141] = sym.$("txt141").css({"pointer-events":"none"});
	txt[142] = sym.$("txt142").css({"pointer-events":"none"});
	txt[143] = sym.$("txt143").css({"pointer-events":"none"});
	txt[144] = sym.$("txt144").css({"pointer-events":"none"});
	txt[145] = sym.$("txt145").css({"pointer-events":"none"});
	txt[146] = sym.$("txt146").css({"pointer-events":"none"});
	txt[147] = sym.$("txt147").css({"pointer-events":"none"});
	txt[148] = sym.$("txt148").css({"pointer-events":"none"});
	txt[149] = sym.$("txt149").css({"pointer-events":"none"});
	txt[150] = sym.$("txt150").css({"pointer-events":"none"});
	txt[151] = sym.$("txt151").css({"pointer-events":"none"});
	txt[152] = sym.$("txt152").css({"pointer-events":"none"});
	txt[153] = sym.$("txt153").css({"pointer-events":"none"});
	txt[154] = sym.$("txt154").css({"pointer-events":"none"});
	txt[155] = sym.$("txt155").css({"pointer-events":"none"});
	txt[156] = sym.$("txt156").css({"pointer-events":"none"});
	txt[157] = sym.$("txt157").css({"pointer-events":"none"});
	txt[158] = sym.$("txt158").css({"pointer-events":"none"});
	txt[159] = sym.$("txt159").css({"pointer-events":"none"});
	txt[160] = sym.$("txt160").css({"pointer-events":"none"});
	txt[161] = sym.$("txt161").css({"pointer-events":"none"});
	txt[162] = sym.$("txt162").css({"pointer-events":"none"});
	txt[163] = sym.$("txt163").css({"pointer-events":"none"});
	txt[164] = sym.$("txt164").css({"pointer-events":"none"});
	txt[165] = sym.$("txt165").css({"pointer-events":"none"});
	txt[166] = sym.$("txt166").css({"pointer-events":"none"});
	txt[167] = sym.$("txt167").css({"pointer-events":"none"});
	txt[168] = sym.$("txt168").css({"pointer-events":"none"});
	txt[169] = sym.$("txt169").css({"pointer-events":"none"});
	txt[170] = sym.$("txt170").css({"pointer-events":"none"});
	txt[171] = sym.$("txt171").css({"pointer-events":"none"});
	txt[172] = sym.$("txt172").css({"pointer-events":"none"});
	txt[173] = sym.$("txt173").css({"pointer-events":"none"});
	txt[174] = sym.$("txt174").css({"pointer-events":"none"});
	txt[175] = sym.$("txt175").css({"pointer-events":"none"});
	txt[176] = sym.$("txt176").css({"pointer-events":"none"});
	txt[177] = sym.$("txt177").css({"pointer-events":"none"});
	txt[178] = sym.$("txt178").css({"pointer-events":"none"});
	txt[179] = sym.$("txt179").css({"pointer-events":"none"});
	txt[180] = sym.$("txt180").css({"pointer-events":"none"});
	txt[181] = sym.$("txt181").css({"pointer-events":"none"});
	txt[182] = sym.$("txt182").css({"pointer-events":"none"});
	txt[183] = sym.$("txt183").css({"pointer-events":"none"});
	txt[184] = sym.$("txt184").css({"pointer-events":"none"});
	txt[185] = sym.$("txt185").css({"pointer-events":"none"});
	txt[186] = sym.$("txt186").css({"pointer-events":"none"});
	txt[187] = sym.$("txt187").css({"pointer-events":"none"});
	txt[188] = sym.$("txt188").css({"pointer-events":"none"});
	txt[189] = sym.$("txt189").css({"pointer-events":"none"});
	var txtArr=[];
	
	//AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
	$.ajax({	
		type: "GET",
		url: xmlNo,
		dataType: "xml",
		success: function(xml) {
			headline = $(xml).find('headline').text();
			headlinetxt.html(headline);
			source = $(xml).find('source').text();
			sourcetxt.html(source);
	
			//create array from xml, put it into array of text elements
			for (var i=0; i<190; i++){
			txtArr[i]=$(xml).find('txt'+i).text();
			txt[i].html(txtArr[i]);
			}
	
			txt[0].html(txtArr[0]+'<hr>'+txtArr[1]+'<hr>'+txtArr[2]+'<hr>'+txtArr[3]);
			txt[1].html(txtArr[4]);
			txt[2].html(txtArr[5]+'<hr>'+txtArr[6]);
			txt[3].html(txtArr[7]+'<hr>'+txtArr[8]+'<hr>'+txtArr[9]+'<hr>'+txtArr[10]);
			txt[4].html();
			txt[5].html(txtArr[11]);
			txt[6].html(txtArr[12]);
			txt[7].html(txtArr[13]+'<hr>'+txtArr[14]+'<hr>'+txtArr[15]);
			txt[8].html(txtArr[16]+'<hr>'+txtArr[17]+'<hr>'+txtArr[18]);
			txt[9].html(txtArr[19]);
			txt[10].html(txtArr[20]+'<hr>'+txtArr[21]+'<hr>'+txtArr[22]);
			txt[11].html(txtArr[23]);
			txt[12].html(txtArr[24]+'<br>'+'<br>'+txtArr[25]);
			txt[13].html(txtArr[26]+'<hr>'+txtArr[27]+'<hr>'+txtArr[28]);
			txt[14].html(txtArr[29]+'<br>'+'<br>'+txtArr[30]);
			txt[15].html(txtArr[31]);
			txt[16].html(txtArr[32]+'<hr>'+txtArr[33]+'<hr>'+txtArr[34]+'<hr>'+txtArr[35]+'<hr>'+txtArr[36]);
			txt[17].html(txtArr[37]);
			txt[18].html(txtArr[38]+'<hr>'+txtArr[39]);
			txt[19].html(txtArr[40]);
			txt[20].html(txtArr[41]+'<hr>'+txtArr[42]+'<hr>'+txtArr[43]);
			txt[21].html(txtArr[44]+'<hr>'+txtArr[45]);
			txt[22].html(txtArr[46]+'<hr>'+txtArr[47]+'<hr>'+txtArr[48]+'<hr>'+txtArr[49]+'<hr>'+txtArr[50]);
			txt[23].html(txtArr[51]);
			txt[24].html(txtArr[52]+'<hr>'+txtArr[53]+'<hr>'+txtArr[54]);
			txt[25].html(txtArr[55]+'<hr>'+txtArr[56]+'<hr>'+txtArr[57]+'<hr>'+txtArr[58]);
			txt[26].html(txtArr[59]);
			txt[27].html(txtArr[60]+'<hr>'+txtArr[61]+'<hr>'+txtArr[62]+'<hr>'+txtArr[63]+'<hr>'+txtArr[64]);
			txt[28].html(txtArr[65]);
			txt[29].html(txtArr[65]);
			txt[30].html(txtArr[66]+'<hr>'+txtArr[67]+'<hr>'+txtArr[68]+'<hr>'+txtArr[69]+'<hr>'+txtArr[70]);
			txt[31].html(txtArr[71]+'<hr>'+txtArr[72]+'<hr>'+txtArr[73]+'<hr>'+txtArr[74]);
			txt[32].html(txtArr[75]);
			txt[31].html(txtArr[71]+'<hr>'+txtArr[72]+'<hr>'+txtArr[73]+'<hr>'+txtArr[74]);
			txt[32].html(txtArr[75]);
			txt[33].html(txtArr[76]+'<hr>'+txtArr[77]+'<hr>'+txtArr[78]+'<hr>'+txtArr[79]);
			txt[34].html(txtArr[80]);
			txt[35].html(txtArr[81]);
			txt[36].html(txtArr[82]);
	
			var zoom = sym.getSymbol("worldMapMc").getSymbol("worldMapZoom");
	
			sym.getSymbol("panelsMc").getSymbol("panel2").$("txt5").animate({top:291 - sym.getSymbol("panelsMc").getSymbol("panel2").$("txt5").height()+13}, 0);
			sym.getSymbol("panelsMc").getSymbol("panel3").$("txt6").animate({top:280 - sym.getSymbol("panelsMc").getSymbol("panel3").$("txt6").height()+13}, 0);
			sym.getSymbol("panelsMc").getSymbol("panel4").$("txt9").animate({top:287 - sym.getSymbol("panelsMc").getSymbol("panel4").$("txt9").height()+13}, 0);
			sym.getSymbol("panelsMc").getSymbol("panel9").$("txt19").animate({top:290 - sym.getSymbol("panelsMc").getSymbol("panel9").$("txt19").height()+13}, 0);
			sym.getSymbol("worldMapMc").$("txt84").animate({top:438 - sym.getSymbol("worldMapMc").$("txt84").height()+0}, 0);
			sym.getSymbol("worldMapMc").$("txt90").animate({left:273 - sym.getSymbol("worldMapMc").$("txt90").width()/2}, 0);
			sym.getSymbol("worldMapMc").$("txt95").animate({left:396 - sym.getSymbol("worldMapMc").$("txt95").width()/2}, 0);
			sym.getSymbol("worldMapMc").$("txt103").animate({left:380 - sym.getSymbol("worldMapMc").$("txt103").width()+8}, 0);
			zoom.$("txt117").animate({left:325 - zoom.$("txt117").width()-2}, 0);
			zoom.$("txt121").animate({left:357 - zoom.$("txt121").width()+1}, 0);
			zoom.$("txt125").animate({left:424 - zoom.$("txt125").width()+1}, 0);
			zoom.$("txt128").animate({left:523 - zoom.$("txt128").width()+1}, 0);
		}
	}); // END XML
	
	
	// MENU BUTTONS --------------------------------------------	
	menuArray = []; //the array that will hold references to the buttons.
	
	for (var h = 0; h < 6; h++){
		var menuBtnSymbols = sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" +h); // Create an instance element of a symbol as a child of the given parent element
		menuBtnSymbols.setVariable("menuId", h); //set the value of a Symbol variable
		menuArray.push(menuBtnSymbols); //push it into the array
	}
	
	$.each(menuArray, function( count, menuInTheArray ){ //a 'for each' loop through the newly populated array
		var menuBtnItem = $(menuInTheArray); //create jQuery reference to the item
		var menuBtnElement = menuInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
		menuBtnElement.bind ("click", {menuId:count}, menuBtnClick);
		menuBtnElement.bind ("touchstart", {menuId:count}, menuBtnClick);
		menuBtnElement.bind ("mouseover", {menuId:count}, menuShow);
		menuBtnElement.bind ("mouseout", {menuId:count}, menuHide);
	})
	
	function resetmenu(){
		for (var h=0; h<menuArray.length; h++){
         menuArray[h].$("imgHolder").stop().animate ({opacity:0.5});
         menuArray[h].$("imgHolderOver").stop().animate ({opacity:0});
         //menuArray[h].$("txt").css("color","rgba(0,0,0,1)");
         //sym.getSymbol("panelsMc").getSymbol("panel"+h).$("fade").stop().animate ({opacity:0.7}, 200);
		}
	}
	resetmenu();

	function menuBtnClick (e){
		var menuMenu_id = (e.data.menuId); //get the id of the clicked item
		stgMove = menuMenu_id;
		if (menuMenu_id==0) {
			stgMove = 0;
		}
		if (menuMenu_id==1) {
			stgMove = 5;
		}
		if (menuMenu_id==2) {
			stgMove = 8;
		}
		if (menuMenu_id==3) {
			stgMove = 11;
		}
		if (menuMenu_id==4) {
			stgMove = 14;
		}
		if (menuMenu_id==5) {
			stgMove = 18;
		}
		panelSwap()
	}

	function menuShow (e){
		var menuMenu_id = (e.data.menuId); //get the id of the over button
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" + menuMenu_id).$("imgHolder").stop().animate ({opacity:1});
		btnNo = menuMenu_id;
	}
	function menuHide (e){
		var menuMenu_id = (e.data.menuId); //get the id of the out button
		sym.getSymbol("menuBtnsMc").getSymbol("menuBtn" + menuMenu_id).$("imgHolder").stop().animate ({opacity:0.5});
	}

// MAKE MENU 0 VISIBLE
	sym.getSymbol("menuBtnsMc").$("menuBtn0").stop().animate ({opacity:1});

// NAV BUTTONS
sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	stgMove++;
	panelSwap();
	});
sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").mouseover(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").stop().animate ({opacity:1}, 200, 'easeOutCubic');
	});
sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").mouseout(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").stop().animate ({opacity:0.8}, 200, 'easeOutCubic');
	});

sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	stgMove--;
	panelSwap();
	});
sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").mouseover(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").stop().animate ({opacity:1}, 200, 'easeOutCubic');
	});
sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").mouseout(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").stop().animate ({opacity:0.8}, 200, 'easeOutCubic');
	});

function panelSwap() {
		resetmenu(); //set them all back to normal state
		sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").fadeIn(0);
		sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").fadeIn(0);

		if (stgMove == 0){
			sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("backBtn").fadeOut(0);
		}
		if (stgMove == 0 || stgMove == 1 || stgMove == 2 || stgMove == 3 || stgMove == 4){
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn0").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 1;
		}
		if (stgMove == 5 || stgMove == 6 || stgMove == 7){
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn1").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 2;
		}
		if (stgMove == 8 || stgMove == 9 || stgMove == 10){
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn2").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 3;
		}
		if (stgMove == 11 || stgMove == 12 || stgMove == 13){
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn3").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 4;
		}
		if (stgMove == 14 || stgMove == 15 || stgMove == 16 || stgMove == 17){
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn4").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 5;
		}
		if (stgMove == 18){
			sym.getSymbol("menuBtnsMc").getSymbol("navBtns").$("nextBtn").fadeOut(0);
			sym.getSymbol("menuBtnsMc").getSymbol("menuBtn5").$("imgHolderOver").stop().animate ({opacity:1});
			btnPos = 6;
		}

		for (var w=0;w<btnPos; w++){
				sym.getSymbol("menuBtnsMc").$("menuBtn"+w).stop().animate ({top:w*44-2});
				sym.getSymbol("menuBtnsMc").$("navBtns").stop().animate ({top:btnPos*30});
		}
		for (var n=btnPos;n<7; n++){
				sym.getSymbol("menuBtnsMc").$("menuBtn"+n).stop().animate ({top:n*44+34});
				sym.getSymbol("menuBtnsMc").$("navBtns").stop().animate ({top:btnPos*44+4});
		}

		for (var b=0;b<19; b++){
			sym.getSymbol("panelsMc").getSymbol("panel"+b).$("fade").stop().animate ({opacity:0.8}, 500, 'easeOutCubic');
		}

		sym.getSymbol("panelsMc").getSymbol("panel"+stgMove).$("fade").stop().animate ({opacity:0}, 200);

		for (var k=0;k<stgMove; k++){
			sym.getSymbol("panelsMc").$("panel"+k).stop().delay(stgMove+(k*5)).animate ({opacity:0, top:0+(10*(k-stgMove)), left:0+(30*(k-stgMove)), width:610-(60*(k-stgMove)) , height:325  }, 600, 'easeOutCubic');
		}
		for (var t=stgMove;t<19; t++){
			sym.getSymbol("panelsMc").$("panel"+t).stop().delay(stgMove+(t*5)).animate ({opacity:1, top:0+(12*(t-stgMove)), left:0+(30*(t-stgMove)), width:610-(60*(t-stgMove)) , height:325  }, 600, 'easeOutCubic');
		}
	}
	panelSwap();

// AUX BUTTONS --------------------------------------------	
	auxArray = []; //the array that will hold references to the buttons.

	for (var a = 0; a < 19; a++){
		var auxBtnSymbols = sym.getSymbol("panelsMc").getSymbol("panel" +a); // Create an instance element of a symbol as a child of the given parent element
		auxBtnSymbols.setVariable("auxId", a); //set the value of a Symbol variable
		auxArray.push(auxBtnSymbols); //push it into the array
	}

	$.each(auxArray, function( count, auxInTheArray ){ //a 'for each' loop through the newly populated array
		var auxBtnItem = $(auxInTheArray); //create jQuery reference to the item
		var auxBtnElement = auxInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
		auxBtnElement.bind ("click", {auxId:count}, auxBtnClick);
		auxBtnElement.bind ("touchstart", {auxId:count}, auxBtnClick);
	})

	function auxBtnClick (e){
		var auxAux_id = (e.data.auxId); //get the id of the clicked item
		stgMove = auxAux_id;
		panelSwap();
	}

	sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({opacity:0, left:800}, 0);
	sym.getSymbol("worldMapMc").$("worldMapZoomBg").stop().fadeOut();
	sym.getSymbol("worldMapMc").$("worldZoom").stop().animate ({opacity:0, left:340, top:142, width:97, height:71}, 0);

// MAP BUTTON ZOOM
var zoom = 0;

sym.getSymbol("worldMapMc").$("mapZoomBtn").on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	if (zoom == 0){
		sym.getSymbol("worldMapMc").$("mapZoomBtn").stop().animate ({left:135, top:88}, 500, 'easeOutCubic');
		sym.getSymbol("worldMapMc").$("worldZoom").stop().animate ({opacity:1, left:170, top:88, width:460, height:360}, 500, 'easeOutCubic',
			function(){ sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({opacity:0, left:0}, 0);
			sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({opacity:1}, 500);
			});
		sym.getSymbol("worldMapMc").$("worldMapZoomBg").stop().fadeIn();
		sym.getSymbol("worldMapMc").getSymbol("mapZoomBtn").$("btnPlus").fadeOut();
		zoom = 1;
	}else{
		sym.getSymbol("worldMapMc").$("worldZoom").stop().animate ({opacity:0, left:340, top:142, width:97, height:71}, 500, 'easeOutCubic');
		sym.getSymbol("worldMapMc").$("mapZoomBtn").stop().animate ({left:340, top:106}, 500, 'easeOutCubic');
		sym.getSymbol("worldMapMc").$("worldMapZoomBg").stop().fadeOut();
		sym.getSymbol("worldMapMc").getSymbol("mapZoomBtn").$("btnPlus").fadeIn();
		sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({opacity:0}, 500, function(){ 
			sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({left:800}, 0);
			});
		zoom = 0;
	}
});
sym.getSymbol("worldMapMc").$("mapZoomBtn").mouseover(function(){
	sym.getSymbol("worldMapMc").getSymbol("mapZoomBtn").$("btnBg").css({"background-color":"rgba(0,0,0,1)"});
	});
sym.getSymbol("worldMapMc").$("mapZoomBtn").mouseout(function(){
	sym.getSymbol("worldMapMc").getSymbol("mapZoomBtn").$("btnBg").css({"background-color":"rgba(174,29,48,1)"});
	});

// MAP BUTTON
var mapView = 0;

sym.getSymbol("menuBtnsMc").$("mapBtn").on('touchstart click', function(e){  
	e.stopPropagation(); e.preventDefault();
		sym.$("menuBtnsMc").fadeOut(500);
		sym.$("panelsMc").fadeOut(500);
		sym.$("bg").fadeOut(500);
		mapView = 1;
});
sym.getSymbol("menuBtnsMc").$("mapBtn").mouseover(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("mapBtn").$("btnBg").stop().animate ({opacity:0.5}, 200);
	});
sym.getSymbol("menuBtnsMc").$("mapBtn").mouseout(function(){
	sym.getSymbol("menuBtnsMc").getSymbol("mapBtn").$("btnBg").stop().animate ({opacity:0}, 200);
	});

function mapClose() {
		sym.getSymbol("worldMapMc").$("worldZoom").stop().animate ({opacity:0, left:340, top:142, width:97, height:71}, 500, 'easeOutCubic');
		sym.getSymbol("worldMapMc").$("mapZoomBtn").stop().animate ({left:340, top:106}, 500, 'easeOutCubic');
		sym.getSymbol("worldMapMc").$("worldMapZoomBg").stop().fadeOut();
		sym.getSymbol("worldMapMc").getSymbol("mapZoomBtn").$("btnPlus").fadeIn();
		sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({opacity:0}, 500, function(){ 
			sym.getSymbol("worldMapMc").$("worldMapZoom").stop().animate ({left:800}, 0);
		});
		sym.$("menuBtnsMc").fadeIn(500);
		sym.$("panelsMc").fadeIn(500);
		sym.$("bg").fadeIn(500);
		zoom = 0;
}

sym.getSymbol("worldMapMc").$("closeBtn").on('touchstart click', function(e){
	e.stopPropagation(); e.preventDefault();
	mapClose();
});

























         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'StyleBase'
   (function(symbolName) {   
   
   })("StyleBase");
   //Edge symbol end:'StyleBase'

   //=========================================================
   
   //Edge symbol: 'styleHead_1'
   (function(symbolName) {   
   
   })("styleHead");
   //Edge symbol end:'styleHead'

   //=========================================================
   
   //Edge symbol: 'Preloader'
   (function(symbolName) {   
   
   })("Preloader");
   //Edge symbol end:'Preloader'

   //=========================================================
   
   //Edge symbol: 'btnSlideMc'
   (function(symbolName) {   
   
   })("btnSlideMc");
   //Edge symbol end:'btnSlideMc'

   //=========================================================
   
   //Edge symbol: 'menuBtnsMc_1'
   (function(symbolName) {   
   
   })("menuBtnsMc_1");
   //Edge symbol end:'menuBtnsMc_1'

   //=========================================================
   
   //Edge symbol: 'nextBtn'
   (function(symbolName) {   
   
   })("nextBtn");
   //Edge symbol end:'nextBtn'

   //=========================================================
   
   //Edge symbol: 'backBtn'
   (function(symbolName) {   
   
   })("backBtn");
   //Edge symbol end:'backBtn'

   //=========================================================
   
   //Edge symbol: 'menuBtn_1'
   (function(symbolName) {   
   
   })("menuBtn_1");
   //Edge symbol end:'menuBtn_1'

   //=========================================================
   
   //Edge symbol: 'panelsMc'
   (function(symbolName) {   
   
   })("panelsMc");
   //Edge symbol end:'panelsMc'

   //=========================================================
   
   //Edge symbol: 'panel0'
   (function(symbolName) {   
   
   })("panel0");
   //Edge symbol end:'panel0'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
   })("panel1");
   //Edge symbol end:'panel1'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
   })("panel2");
   //Edge symbol end:'panel2'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
   })("panel3");
   //Edge symbol end:'panel3'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
   })("panel4");
   //Edge symbol end:'panel4'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel5");
   //Edge symbol end:'panel5'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel6");
   //Edge symbol end:'panel6'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel7");
   //Edge symbol end:'panel7'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel8");
   //Edge symbol end:'panel8'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel9");
   //Edge symbol end:'panel9'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel10");
   //Edge symbol end:'panel10'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel11");
   //Edge symbol end:'panel11'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel12");
   //Edge symbol end:'panel12'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel13");
   //Edge symbol end:'panel13'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel14");
   //Edge symbol end:'panel14'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel15");
   //Edge symbol end:'panel15'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel16");
   //Edge symbol end:'panel16'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel17");
   //Edge symbol end:'panel17'

   //=========================================================
   
   //Edge symbol: 'panel0_1'
   (function(symbolName) {   
   
      })("panel18");
   //Edge symbol end:'panel18'

   //=========================================================
   
   //Edge symbol: 'faceMc'
   (function(symbolName) {   
   
   })("faceMc");
   //Edge symbol end:'faceMc'

   //=========================================================
   
   //Edge symbol: 'fadePanelMc'
   (function(symbolName) {   
   
   })("fadePanelMc");
   //Edge symbol end:'fadePanelMc'

   //=========================================================
   
   //Edge symbol: 'navBtns'
   (function(symbolName) {   
   
   })("navBtns");
   //Edge symbol end:'navBtns'

   //=========================================================
   
   //Edge symbol: 'worldMapMc'
   (function(symbolName) {   
   
   })("worldMapMc");
   //Edge symbol end:'worldMapMc'

   //=========================================================
   
   //Edge symbol: 'mapZoomBtn'
   (function(symbolName) {   
   
   })("mapZoomBtn");
   //Edge symbol end:'mapZoomBtn'

   //=========================================================
   
   //Edge symbol: 'worldMapZoom'
   (function(symbolName) {   
   
   })("worldMapZoom");
   //Edge symbol end:'worldMapZoom'

   //=========================================================
   
   //Edge symbol: 'menuBtn_2'
   (function(symbolName) {   
   
      })("mapBtn");
   //Edge symbol end:'mapBtn'

})(jQuery, AdobeEdge, "GraphicNews31935");